IBV_CREATE_AH_FROM_WC(3)

NAME
ibv_init_ah_from_wc, ibv_create_ah_from_wc - initialize or create an address handle (AH) from a work completion

SYNOPSIS
#include <infiniband/verbs.h>

int ibv_init_ah_from_wc(struct ibv_context *context, uint8_t port_num,
                        struct ibv_wc *wc, struct ibv_grh *grh,
                        struct ibv_ah_attr *ah_attr);

struct ibv_ah *ibv_create_ah_from_wc(struct ibv_pd *pd,
                                     struct ibv_wc *wc,
                                     struct ibv_grh *grh,
                                     uint8_t port_num);

DESCRIPTION
ibv_init_ah_from_wc() initializes the address handle (AH) attribute structure ah_attr for the RDMA device context context using the port number port_num, using attributes from the work completion wc and the Global Routing Header (GRH) structure grh.

ibv_create_ah_from_wc() creates an AH associated with the protection domain pd using the port number port_num, using attributes from the work completion wc and the Global Routing Header (GRH) structure grh.

RETURN VALUE
ibv_init_ah_from_wc() returns 0 on success, and -1 on error.

ibv_create_ah_from_wc() returns a pointer to the created AH, or NULL if the request fails.

NOTES
The filled structure ah_attr returned from ibv_init_ah_from_wc() can be used to create a new AH using ibv_create_ah().

SEE ALSO
ibv_open_device(3), ibv_alloc_pd(3), ibv_create_ah(3), ibv_destroy_ah(3), ibv_poll_cq(3)

AUTHORS

Dotan Barak <dotanba@gmail.com>